package Pila;

public class PilaCollegata<T> implements Pila<T> {
	//puntatore all'elemento di testa
	private Record<T> top = null;
	
	public boolean isEmpty() {
		return (top == null);
	}

	public void pop() throws EccezioneStrutturaVuota {
		if (isEmpty()) 
			throw new EccezioneStrutturaVuota("Pila Vuota");
		top = top.next();
	}

	public void push(T e) {
		Record<T> nuovo = new Record<T>(e);
		nuovo.setNext(top);
		top = nuovo;	
	}

	public T top() throws EccezioneStrutturaVuota {
		if (isEmpty()) 
			throw new EccezioneStrutturaVuota("Pila Vuota");
		return top.getElem();
	}

}
