package Pila;

class Record<T> {
	private T elem;
	private Record<T> next;
	
	public Record(T e) {
		setElem(e);
		next = null;
	}
	
	public Record<T> next() {
		return next;
	}
	
	public void setElem(T e) {
		elem = e;
	}
	
	public void setNext(Record<T> n){
		next = n;
	}
	
	public T getElem(){
		return elem;
	}
}
